<?php
///////////////////////////////////////////////////////////////////////////////////////////////////////
// BotBanish 9.0.05
// Randem Systems: https://randemsystems.support
// BotBanish Version defines
// Date: 07/26/2026
// Usage:
//
// Function:
//		Create BotBanish Version Information
///////////////////////////////////////////////////////////////////////////////////////////////////////

function BotBanishSetVersion() {

	global $BotBanishSettings;

	BotBanishDefineGlobals('BOTBANISH_VERSION_CLIENT', '9.0.05');
	BotBanishDefineGlobals('BOTBANISH_VERSION_SERVER', '9.0.00');
	BotBanishDefineGlobals('BOTBANISH_VERSION_DATABASE', '_9.0');
	BotBanishDefineGlobals('BOTBANISH_COUNTRY_INFO', array('country' => '', 'country_code' => '', 'flag' => '', 'process' => 'BotBanish'));
	BotBanishDefineGlobals('BOTBANISH_GEO_DATA', array());
	BotBanishDefineGlobals('BOTBANISH_APACHE_VERSION', '2.4.00');

	$system = BotBanishCheckSystem();

	switch (strtoupper($system['install_type'])) {

		case 'SERVER':

			BotBanishDefineGlobals('BOTBANISH_VERSION_NO', intval(str_replace('.', '', $BotBanishSettings['BOTBANISH_VERSION_SERVER'])));
			$BotBanishVersionNo = $BotBanishSettings['BOTBANISH_VERSION_SERVER'];
			BotBanishDefineGlobals('BOTBANISH_LOCATION', 'bot_v' . $BotBanishSettings['BOTBANISH_VERSION_SERVER']);
			break;

		default:

			BotBanishDefineGlobals('BOTBANISH_VERSION_NO', intval(str_replace('.', '', $BotBanishSettings['BOTBANISH_VERSION_CLIENT'])));
			$BotBanishVersionNo = $BotBanishSettings['BOTBANISH_VERSION_CLIENT'];
			BotBanishDefineGlobals('BOTBANISH_LOCATION', 'bot');
			break;
	}

	BotBanishDefineGlobals('BOTBANISH_VERSION_PHP', '8.2.20');
	BotBanishDefineGlobals('BOTBANISH_VERSION', 'BotBanish ' . ucfirst($system['install_type']) . ' ' . $BotBanishVersionNo . ' (' . $system['system'] . ')');

	if (!defined('BOTBANISH_VERSION_NO'))
		define('BOTBANISH_VERSION_NO', $BotBanishVersionNo);
}
?>